指定禁止显示维度值中的尾随零。 支持的平台:仅窗口 签名工 务 局: object.ToleranceSuppressTrailingZeros 属性值只读:不 类型:布尔
言论此属性的初始值为。False 注意:此值将覆盖 DIMTZIN 系统变量的值。
例子工 务 局: Sub Example_ToleranceSuppressTrailingZeros() ' This example creates an aligned dimension in model space and ' uses ToleranceSuppressTrailingZeros to toggle the display of trailing zeros ' in the dimension tolerance display Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 5: point1(1) = 5: point1(2) = 0 point2(0) = 5.01: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ' Enable and setup tolerance display dimObj.ToleranceDisplay = acTolSymmetrical dimObj.ToleranceLowerLimit = -0.0001: dimObj.ToleranceUpperLimit = 0.005 ThisDrawing.Application.ZoomAll Toggle: Select Case MsgBox("Press OK to toggle the display of trailing zeros in the dimension tolerance", vbOKCancel) Case vbOK ' Toggle the display of trailing zeros for the dimension tolerance value dimObj.ToleranceSuppressTrailingZeros = Not (dimObj.ToleranceSuppressTrailingZeros) ThisDrawing.Regen acAllViewports Case vbCancel Exit Sub End Select GoTo Toggle End Sub Visual LISP: (vl-load-com) (defun c:Example_ToleranceSuppressTrailingZeros() ;; This example creates an aligned dimension in model space and ;; uses ToleranceSuppressTrailingZeros to toggle the display of trailing zeros ;; in the dimension tolerance display (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq point1 (vlax-3d-point 5 5 0) point2 (vlax-3d-point 5.01 5 0) location (vlax-3d-point 5 7 0)) ;; Create an aligned dimension object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location)) ;; Enable and setup tolerance display (vla-put-ToleranceDisplay dimObj acTolSymmetrical) (vla-put-ToleranceLowerLimit dimObj -0.0001) (vla-put-ToleranceUpperLimit dimObj 0.005) (vla-ZoomAll acadObj) ;; Toggle the display of trailing zeros for the dimension tolerance value (vla-put-ToleranceSuppressTrailingZeros dimObj (if (= (vla-get-ToleranceSuppressTrailingZeros dimObj) :vlax-true) :vlax-false :vlax-true)) (vla-Regen doc acAllViewports) (alert "Suppression of trailing zeros toggled.") ;; Toggle the display of trailing zeros for the dimension tolerance value back to previous state (vla-put-ToleranceSuppressTrailingZeros dimObj (if (= (vla-get-ToleranceSuppressTrailingZeros dimObj) :vlax-true) :vlax-false :vlax-true)) (vla-Regen doc acAllViewports) (alert "Suppression of trailing zeros toggled back.") ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:08
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.